#!/usr/bin/env python3
import sys
import json
import csv

edgetx_csv = "/home/naggie/radiocfg/en-US.csv"

quotes_json_files = [
    "/home/naggie/misc/bot/original-quotes.json",
    "/home/naggie/misc/portal/data/aiquotes.json",
]

prompts_tsv_files = [
    "/home/naggie/piper-recording-studio/prompts/English (United Kingdom)_en-GB/0000000001_0300000050_General.txt",
    "/home/naggie/piper-recording-studio/prompts/English (United Kingdom)_en-GB//3000000001_3000000300_Chat.txt",
    "/home/naggie/piper-recording-studio/prompts/English (United Kingdom)_en-GB/4000000001_4000000300_CustomerService.txt",
]

lines = []

with open(edgetx_csv) as csvfile:
    for row in csv.DictReader(csvfile):
        lines.append(row["Source text"].strip())


for fp in prompts_tsv_files:
    with open(fp) as f:
        for line in f:
            line = line.strip()
            id, text = line.split("\t", 1)
            lines.append(text.strip())

for fp in quotes_json_files:
    with open(fp) as f:
        lines += [quote.strip() for quote in json.load(f)]


for line in lines:
    print(line)
